<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CustomerReadResponse StructType
 * @subpackage Structs
 */
class CustomerReadResponse extends AbstractStructBase
{
    /**
     * The CustomerReadRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $CustomerReadRS;
    /**
     * Constructor method for CustomerReadResponse
     * @uses CustomerReadResponse::setCustomerReadRS()
     * @param \StructType\JP_StaticDataRS $customerReadRS
     */
    public function __construct(\StructType\JP_StaticDataRS $customerReadRS = null)
    {
        $this
            ->setCustomerReadRS($customerReadRS);
    }
    /**
     * Get CustomerReadRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getCustomerReadRS()
    {
        return $this->CustomerReadRS;
    }
    /**
     * Set CustomerReadRS value
     * @param \StructType\JP_StaticDataRS $customerReadRS
     * @return \StructType\CustomerReadResponse
     */
    public function setCustomerReadRS(\StructType\JP_StaticDataRS $customerReadRS = null)
    {
        $this->CustomerReadRS = $customerReadRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CustomerReadResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
